﻿using ThinkGeo.MapSuite.Core;

namespace WPFDisplayASimpleMap
{
    public class CustomMSSqlFeatureSource : MsSql2008FeatureSource
    {
        private ZoomLevel currentZoomLevel;

        public ZoomLevel CurrentZoomLevel
        {
            get { return currentZoomLevel; }
            set
            {
                currentZoomLevel = value;
                FilterDrawingFeaturesByZoomLevel();
            }
        }

        public CustomMSSqlFeatureSource(string connectionString, string tableName, string featureIdColumn, DatabaseConnectionMode databaseConnectionMode)
            : base(connectionString, tableName, featureIdColumn, -1, databaseConnectionMode)
        {
        }

        public void FilterDrawingFeaturesByZoomLevel()
        {
            if (currentZoomLevel.Name == "z1")
            {
                WhereClause = "where id between 0 and 30";
            }
            else if (currentZoomLevel.Name == "z2")
            {
                WhereClause = "where id between 30 and 60";
            }
            else if (currentZoomLevel.Name == "z3")
            {
                WhereClause = "where id between 60 and 90";
            }
        }
    }
}