﻿using ThinkGeo.MapSuite.Core;

namespace WPFDisplayASimpleMap
{
    public class CustomMsSqlFeatureLayer : MsSql2008FeatureLayer
    {
        public CustomMsSqlFeatureLayer(string connectionString, string tableName, string featureIdColumn, DatabaseConnectionMode databaseConnectionMode)
            : base(connectionString, tableName, featureIdColumn, -1, databaseConnectionMode)
        {
            FeatureSource = new CustomMSSqlFeatureSource(connectionString, tableName, featureIdColumn, databaseConnectionMode);
        }

        protected override void DrawCore(GeoCanvas canvas, System.Collections.ObjectModel.Collection<SimpleCandidate> labelsInAllLayers)
        {
            ZoomLevel currentZoomLevel = ZoomLevelSet.GetZoomLevel(canvas.CurrentWorldExtent, canvas.Width, canvas.MapUnit, canvas.Dpi);

            (FeatureSource as CustomMSSqlFeatureSource).CurrentZoomLevel = currentZoomLevel;
            base.DrawCore(canvas, labelsInAllLayers);
        }
    }
}