﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WpfDesktopEdition;

namespace WPFDisplayASimpleMap
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            wpfMap1.MapUnit = GeographyUnit.DecimalDegree;
            wpfMap1.CurrentExtent = new RectangleShape(-126.4, 48.8, -67.0, 19.0);

            string connectString = "Data Source=data source;Initial Catalog=HeatLayerDatabase;Persist Security Info=True;User ID=sa;Password=*******";
            MsSql2008FeatureLayer sql2008Layer = new CustomMsSqlFeatureLayer(connectString, "swineflu", "fid", DatabaseConnectionMode.Default);
            sql2008Layer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.Capital1;
            sql2008Layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay sql2008Overlay = new LayerOverlay();
            sql2008Overlay.Layers.Add(new BackgroundLayer(new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean)));
            sql2008Overlay.Layers.Add("Sql2008Layer", sql2008Layer);
            wpfMap1.Overlays.Add("Sql2008Overlay", sql2008Overlay);

            for (int i = 0; i < sql2008Layer.ZoomLevelSet.GetZoomLevels().Count; i++)
            {
                ZoomLevel z = sql2008Layer.ZoomLevelSet.GetZoomLevels()[i];
                z.Name = string.Format("z{0}", i + 1);
            }

            wpfMap1.Refresh();
        }
    }
}
